Skip to content

fglrx broke i xorg 7.3 i Debian unstable

Jeg har længe overvejet at opgrader til xorg 7.3, som ligger i Debians unstable pakker. Jeg har dog haft lidt betænkeligheder ved det. Den mente nemlig at fglrx (ATI-driveren) skulle fjernes. I dag har jeg så gjort det, installeret lortet - vel og mærket med ondt i hovedet efter en hård bytur i går... Så det skulle jo helst bare trille :-)

Og selvfølgelig skal fglrx gøre alt mulig modstand for ikke virke. Jeg har gjort lidt af hvert men endte altid samme sted: ingen driver som virker. Hvad gør man så? Jamen man downgrader da bare sin xorg til 7.2, hvor jeg ved at fglrx-driveren som ligger i Debians repo virker.

Løsningen er simpel. Man skal sørge for at have xorg som ressource i sin source.list i /etc/apt. Når man har gjort dette er det blot at fjerne den eksisterende version og installer en downgraded version:
apt-get remove xserver-xorg
apt-get install -t testing xserver-xorg

Dernæst skal fglrx-driveren installeres, men det foregår som altid på samme måde - og den har jeg tidligere beskrevet.

Trackbacks

No Trackbacks

Comments

Display comments as Linear | Threaded

No comments

The author does not allow comments to this entry

Add Comment

Enclosing asterisks marks text as bold (*word*), underscore are made via _word_.
Standard emoticons like :-) and ;-) are converted to images.

To prevent automated Bots from commentspamming, please enter the string you see in the image below in the appropriate input box. Your comment will only be submitted if the strings match. Please ensure that your browser supports and accepts cookies, or your comment cannot be verified correctly.
CAPTCHA

You can use [geshi lang=lang_name [,ln={y|n}]][/geshi] tags to embed source code snippets.
Form options